%global commit  1b29bd21b3ac1cd650f0779b3dc512e767f354d1
%global appname org.gabmus.hydrapaper

Name:           hydrapaper
Version:        1.7.3
Release:        1%{?dist}
Summary:        Set two different backgrounds for each monitor on GNOME

License:        GPLv3+
URL:            https://gitlab.com/gabmus/HydraPaper
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  python3-devel
Requires:       dbus-common
Requires:       glib2%{?_isa}
Requires:       hicolor-icon-theme
Requires:       libwnck3%{?_isa}
Requires:       python3-pillow%{?_isa}

%description
GTK utility to set two different backgrounds for each monitor on GNOME
(which lacks this feature).

%prep
%autosetup -p1 -n HydraPaper-%{version}-%{commit}

%build
%meson
%meson_build

%install
%meson_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appname}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appname}.desktop

%files
%license COPYING LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/dbus-1/services/%{appname}.service
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_metainfodir}/%{appname}.appdata.xml
%{python3_sitelib}/%{name}

%changelog
* Thu Aug 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.3-1
- Downgrade and remove BR: 'libhandy-devel' for F29

* Thu Aug 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9-1
- Update to 1.9

* Wed Jul 31 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.3-1
- Initial package
